Restore a Vdp Email version by its id
curl --request POST \
--url https://commerce.driv.ly/api/vdpEmails/versions/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://commerce.driv.ly/api/vdpEmails/versions/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
fetch('https://commerce.driv.ly/api/vdpEmails/versions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"doc": {
"updatedAt": "<string>",
"createdAt": "<string>",
"lead": 123,
"vins": [
123
],
"createdBy": 123,
"lastModifiedBy": 123,
"vinCount": "<string>"
},
"message": "<string>"
}{
"errors": [
{
"message": "<string>"
}
]
}VDP Emails
Restore a Vdp Email version by its id
Restore a Vdp Email version by its id
POST
/
vdpEmails
/
versions
/
{id}
Restore a Vdp Email version by its id
Usage with the Drivly SDK
Usage with the Drivly SDK
Make sure you install our SDK first. You can find out how, and more here.
import { SDK } from '@drivly/commerce'
import type { vdpEmails } from '@drivly/commerce'
const sdk = new SDK(...)
const vdpEmails = await sdk.vdpEmails.create(data: vdpEmails): Promise<vdpEmails>
Authorizations
Path Parameters
id of the Vdp Email version
Query Parameters
number of levels to automatically populate relationships and uploads
retrieves document(s) in a specific locale
specifies a fallback locale if no locale value exists
⌘I